@echo off
cls

c:
cd \program files\cisco systems\vpn client\

echo Verbindungsversuch

:LOOP
vpnclient connect AW user Andre pwd K01v1kk0!>vpnconnect.log

type vpnconnect.log | find "already exists"
if errorlevel 1 goto NEXT1
if errorlevel 0 goto EXISTS

:NEXT1
type vpnconnect.log | find "is secure"
if errorlevel 1 goto NEXT2
if errorlevel 0 goto ESTABLISHED

:NEXT2
echo Neuer Verbindungsversuch
goto LOOP

:EXISTS
echo Verbindung bereits aufgebaut
goto ENDE

:ESTABLISHED
echo Verbindung erfolgreich aufgebaut
goto ENDE

:ENDE
cd \
goto QUIT

:QUIT
pause